Package org.eclipse.gef.fx.anchors

# Class DynamicAnchor.AnchoredReferencePoint

java.lang.Object
javafx.beans.binding.ObjectExpression<T>
javafx.beans.property.ReadOnlyObjectProperty<T>
javafx.beans.property.ObjectProperty<T>
javafx.beans.property.ObjectPropertyBase<T>
org.eclipse.gef.fx.anchors.IComputationStrategy.Parameter<Point>
org.eclipse.gef.fx.anchors.DynamicAnchor.AnchoredReferencePoint

All Implemented Interfaces:
  `Observable`, `Property<Point>`, `ReadOnlyProperty<Point>`, `ObservableObjectValue<Point>`, `ObservableValue<Point>`, `WritableObjectValue<Point>`, `WritableValue<Point>`

Enclosing class:
  DynamicAnchor

public static class DynamicAnchor.AnchoredReferencePoint extends IComputationStrategy.Parameter<Point>
An `IComputationStrategy.Parameter` that encapsulates a projection reference point.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.gef.fx.anchors.IComputationStrategy.Parameter

`IComputationStrategy.Parameter.Kind`

## Constructor Summary

Constructors
Constructor
Description
`AnchoredReferencePoint()`
Creates a new `DynamicAnchor.AnchoredReferencePoint` with no default value.
`AnchoredReferencePoint(Point defaultValue)`
Creates a `DynamicAnchor.AnchoredReferencePoint` that encapsulates the given `Point`.

## Method Summary

### Methods inherited from class org.eclipse.gef.fx.anchors.IComputationStrategy.Parameter

`bind, get, getBean, getKind, getKind, getName, invalidateBinding, isOptional, isOptional, unbind`

### Methods inherited from class javafx.beans.property.ObjectPropertyBase

`addListener, addListener, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString`

### Methods inherited from class javafx.beans.property.ObjectProperty

`bindBidirectional, setValue, unbindBidirectional`

### Methods inherited from class javafx.beans.binding.ObjectExpression

`asString, asString, asString, getValue, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotNull, isNull, objectExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javafx.beans.value.ObservableValue

`getValue`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue`

## Constructor Details

### AnchoredReferencePoint

public AnchoredReferencePoint()
Creates a new `DynamicAnchor.AnchoredReferencePoint` with no default value.

### AnchoredReferencePoint

public AnchoredReferencePoint(Point defaultValue)
Creates a `DynamicAnchor.AnchoredReferencePoint` that encapsulates the given `Point`.

Parameters:
  `defaultValue` - The `Point` to encapsulate.